# Get Whitelisted Addresses

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1`**`/whitelisted-addresses`**

Retrieve a list of the crypto withdrawal addresses you have whitelisted in your account.

### Response Body

<table><thead><tr><th width="240">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>alias</code></strong></td><td>Custom alias you have assigned to the address</td></tr><tr><td><strong><code>address</code></strong></td><td>Whitelisted withdraw address</td></tr><tr><td><strong><code>currency_symbol</code></strong></td><td>Currency that can be withdrawn to the address</td></tr><tr><td><strong><code>date_created</code></strong></td><td>ISO date string</td></tr><tr><td><strong><code>date_updated</code></strong></td><td>ISO date string</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{ 
  "data": [ 
    { 
      "alias": "Satoshis Fund",
      "address": "1NLqQmwkGxxQmzS9uwtCGXxbxrcNW4FpYp",
      "currency_symbol": "btc",
      "date_created": "2021-09-15T15:12:13.000Z",
      "date_updated": "2021-09-15T15:12:13.000Z",
      "status":"Pending"
    }
  ]
}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' \
'https://api.sfox.com/v1/whitelisted-addresses'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/whitelisted-addresses',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/whitelisted-addresses",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
```

{% endtab %}
{% endtabs %}
